# Created by pyp2rpm-1.0.1
%global pypi_name rarfile

Name:           python-rarfile
Version:        2.7
Release:        %mkrel 3
Group:          Development/Python
Summary:        RAR archive reader for Python
License:        ISC
URL:            https://pypi.python.org/pypi/rarfile
Source0:        https://pypi.python.org/packages/source/r/rarfile/rarfile-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme

%description
rarfile - RAR archive reader for Python
=======================================
This is Python module for RAR archive reading.
The interface is made as zipfile like as possible.

Features:
- Supports both RAR 2.x and 3.x archives.
- Supports multi volume archives.
- Supports Unicode filenames.
- Supports password-protected archives.
- Supports archive and file comments.
- Archive parsing and non-compressed files are handled in pure Python code.
- For compressed files runs unrar utility.

%package -n python3-rarfile
Summary:        RAR archive reader for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx

%description -n python3-rarfile
rarfile - RAR archive reader for Python 3
=======================================
This is Python 3 module for RAR archive reading.
The interface is made as zipfile like as possible.

Features:
- Supports both RAR 2.x and 3.x archives.
- Supports multi volume archives.
- Supports Unicode filenames.
- Supports password-protected archives.
- Supports archive and file comments.
- Archive parsing and non-compressed files are handled in pure Python 3 code.
- For compressed files runs unrar utility.

%prep
%setup -q -n %{pypi_name}-%{version}
cp -a . %{py3dir}

# generate html docs
sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%build
%{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd

%files
%doc html README.rst LICENSE
%{python_sitelib}/*
%{python_sitelib}/*egg-info

%files -n python3-rarfile
%doc html README.rst LICENSE
%{python3_sitelib}/*
%{python3_sitelib}/*egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 2.7-3.mga6
+ Revision: 970948
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.7-2.mga6
+ Revision: 888876
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Mon Jun 22 2015 dglent <dglent> 2.7-1.mga6
+ Revision: 839785
- Version 2.7

* Wed Oct 15 2014 umeabot <umeabot> 2.6-5.mga5
+ Revision: 748664
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.6-4.mga5
+ Revision: 729619
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.6-3.mga5
+ Revision: 688301
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.6-2.mga5
+ Revision: 628984
- Rebuild for new Python

* Tue Dec 17 2013 dglent <dglent> 2.6-1.mga4
+ Revision: 558240
- Fix paths in %%files
- Fix paths in %%files
- imported package python-rarfile

